wca.rlq {ade4} | R Documentation

## Within-Class RLQ analysis

### Description

Performs a particular RLQ analysis where a partition of sites (rows of R) is taken into account. The within-class RLQ analysis search for linear combinations of traits and environmental variables of maximal covariance.

### Usage

    ## S3 method for class 'rlq'
    wca(x, fac, scannf = TRUE, nf = 2, ...)
    ## S3 method for class 'witrlq'
    plot(x, xax = 1, yax = 2, ...)
    ## S3 method for class 'witrlq'
    print(x, ...)

### Arguments

`x` | an object of class rlq (created by the `rlq` function) for the `wca.rlq` function. An object of class `witrlq` for the `print` and `plot` functions
`fac` | a factor partitioning the rows of R
`scannf` | a logical value indicating whether the eigenvalues bar plot should be displayed
`nf` | if scannf FALSE, an integer indicating the number of kept axes
`xax` | the column number for the x-axis
`yax` | the column number for the y-axis
`...` | further arguments passed to or from other methods

### Value

The `wca.rlq` function returns an object of class 'betrlq' (sub-class of 'dudi'). See the outputs of the `print` function for more details.

### Author(s)

Stéphane Dray stephane.dray@univ-lyon1.fr

### References

Wesuls, D., Oldeland, J. and Dray, S. (2012) Disentangling plant trait responses to livestock grazing from spatio-temporal variation: the partial RLQ approach. Journal of Vegetation Science, 23, 98–113.

### See Also

`rlq`, `wca`, `wca.rlq`

### Examples

    data(piosphere)
    afcL <- dudi.coa(log(piosphere$veg + 1), scannf = FALSE)
    acpR <- dudi.pca(piosphere$env, scannf = FALSE, row.w = afcL$lw)
    acpQ <- dudi.hillsmith(piosphere$traits, scannf = FALSE, row.w = afcL$cw)
    rlq1 <- rlq(acpR, afcL, acpQ, scannf = FALSE)

    wrlq1 <- wca(rlq1, fac = piosphere$habitat, scannf = FALSE)
    wrlq1
    plot(wrlq1)

[Package ade4 version 1.7-13 Index]